## Class Auth_Yadis_Discovery

Description

State management for discovery.

High-level usage pattern is to call .getNextService(discover) in order to find the next available service for this user for this session. Once a request completes, call .cleanup() to clean up the session state.

Located in /Auth/Yadis/Manager.php (line 369)

Method Summary
Auth_Yadis_Discovery Auth_Yadis_Discovery ( &$session, string $url, [string $session_key_suffix = null], Auth_Yadis_PHPSession $session)
void cleanup ([$force $force = false])
void getNextService ( $discover_cb, &$fetcher)
Methods
Constructor Auth_Yadis_Discovery (line 390)

Initialize a discovery object.

Auth_Yadis_Discovery Auth_Yadis_Discovery ( &$session, string $url, [string $session_key_suffix = null], Auth_Yadis_PHPSession $session)

- Auth_Yadis_PHPSession $session: An object which implements the Auth_Yadis_PHPSession API.
- string $url: The URL on which to attempt discovery.
- string $session_key_suffix: The optional session key suffix override.
- &$session

cleanup (line 441)

Clean up Yadis-related services in the session and return the most-recently-attempted service from the manager, if one exists.

void cleanup ([$force $force = false])

- $force $force: True if the manager should be deleted regardless of whether it's a manager for $this->url.

getNextService (line 408)

Return the next authentication service for the pair of user_input and session. This function handles fallback.

void getNextService ( $discover_cb, &$fetcher)

- $discover_cb
- &$fetcher

Documentation generated on Tue, 21 Apr 2009 11:31:31 -0700 by phpDocumentor 1.3.2